Summary:	Gnome-1 support library for loading user interfaces
Name:		libglade
Version:	0.17
Release:	19%{?dist}
Epoch:		1
License:	LGPL
Group:		System Environment/Libraries
URL:		http://www.jamesh.id.au/software/libglade/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libglade/%{version}/libglade-%{version}.tar.gz
Patch:		libglade-0.16-fixquote.patch
Patch1:		libglade-0.17-gtkdoc.patch
Patch2:		libglade-0.17-clist-gettext.patch
Patch3:		libglade-0.17-underquoted.patch
Patch4:		libglade-0.17-non-weak-symbols.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gnome-libs-devel >= 1:1.4.1.2
BuildRequires:	libxml-devel >= 1:1.8.16
BuildRequires:	autoconf, gettext, gtk-doc, libtool

%description
Libglade is a small library that allows a program to load its user interface
from am XML description at runtime. Libglade uses the XML file format used by
the GLADE user interface builder GLADE, so libglade acts as an alternative to
GLADE's code generation approach. Libglade also provides a simple interface
for connecting handlers to the various signals in the interface (on platforms
where the gmodule library works correctly, it is possible to connect all the
handlers with a single function call). Once the interface has been
instantiated, libglade gives no overhead, so other than the short initial
interface loading time, there is no performance tradeoff.

%package devel
Summary:	The files needed for libglade application development
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gnome-libs-devel >= 1:1.4.1.2
Requires:	libxml-devel >= 1:1.8.16
Requires:	pkgconfig

%description devel
The libglade-devel package contains the libraries and include files
that you can use to develop libglade applications.

%prep
%setup -q -n %{name}-%{version}
%patch -p1 -b ".fixquote"
%patch1 -p1 -b .gtkdoc
%patch2 -p1 -b .clist-gettext
%patch3 -p1 -b .underquoted
%patch4 -p1 -b .non-weak-symbols

%build
%{__autoconf}
%configure --without-bonobo
%{__make} LIBTOOL=/usr/bin/libtool

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} LIBTOOL=/usr/bin/libtool install

# remove unpackaged files from the buildroot
%{__rm} -f %{buildroot}%{_libdir}/{libglade.a,libglade.la}
%{__rm} -f %{buildroot}%{_libdir}/{libglade-gnome.a,libglade-gnome.la}

%clean
%{__rm} -rf %{buildroot}

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog NEWS README COPYING
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,0755)
%doc test-libglade.c
%doc *.glade
%{_bindir}/*
%{_libdir}/lib*.so
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/libgladeConf.sh
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/gnome/html/

%changelog
* Mon Oct  2 2006 Paul Howarth <paul@city-fan.org> 1:0.17-19
- add new buildreq libtool and use the system libtool instead of the bundled
  one to avoid /usr/lib64 rpaths
- add patch to fix non-weak-symbols issues in libglade-gnome.so
- include epoch in versioned gnome-libs-devel dependencies

* Sat Aug 26 2006 Paul Howarth <paul@city-fan.org> 1:0.17-18
- include epoch in versioned libxml-devel dependencies

* Mon Jul 10 2006 Paul Howarth <paul@city-fan.org> 1:0.17-17
- update URL
- add %%{?dist} tag
- remove explicit runtime library deps (rpm will generate what's needed)
- use Fedora Extras standard buildroot
- wrap description text at 80 columns
- add pkgconfig as dep of devel package
- use "make DESTDIR=%%{buildroot} install" instead of deprecated %%makeinstall
- add buildreqs autoconf, gettext, gtk-doc
- disable static libraries
- minor cosmetic spec file tweaks

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:0.17-16.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1:0.17-16.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Mar  2 2005 Matthias Clasen <mclasen@redhat.com> 1:0.17-16
- Replace Copyright: with License:
- rebuilt with gcc4

* Fri Aug  6 2004 Tim Waugh <twaugh@redhat.com> 1:0.17-15
- Fixed underquoted m4 definition.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Jun  8 2003 Tim Powers <timp@redhat.com> 1:0.17-12.1
- add epoch to versioned requires where needed
- built for RHEL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan  3 2003 Owen Taylor <otaylor@redhat.com> 1:0.17-10
- Own /usr/share/gnome/html (#73953, Enrico Scholz)

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 1:0.17-9
- remove buildrequires on autoconf-2.53
- remove unpackaged files from the buildroot

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Jeremy Katz <katzj@redhat.com>
- remove .la files

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Apr 16 2002 Havoc Pennington <hp@redhat.com>
- patch from Harald to call gettext on clist column titles, #63338

* Tue Mar  5 2002 Havoc Pennington <hp@redhat.com>
- rebuild in new environment
- install .pc files, #59522
- fix more prefix/lib->libdir sort of things
- use autoconf-2.52 binary

* Wed Jan 23 2002 Havoc Pennington <hp@redhat.com>
- rebuild for db1 stuff
- fix some prefix/lib -> libdir sort of things
- use configure/makeinstall macros
- disable gtk-doc so we don't need an X display

* Fri Sep 21 2001 Havoc Pennington <hp@redhat.com>
- 0.17
- remove libtoolize for now to avoid running autoconf since it requires 2.52

* Mon Aug 20 2001 Jonathan Blandford <jrb@redhat.com>
- Escape strings, #51966

* Sun Jul 22 2001 Havoc Pennington <hp@redhat.com>
- add build requires, bug #49508

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9 include paths

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- 0.14
- added patch for gtk-doc scanner linkage

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Owen Taylor <otaylor@redhat.com>
- specfile fixes

* Wed May 31 2000 Owen Taylor <otaylor@redhat.com>
- Upgraded to libglade-0.13
- Use %%makeinstall, since that is required when %%configure is used.

* Fri May 19 2000 Owen Taylor <otaylor@redhat.com>
- Upgraded to libglade-0.12

* Tue Sep 07 1999 Elliot Lee <sopwith@redhat.com>
- Updated RHL 6.1 package to libglade-0.5

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>

- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>

- Initial release 0.0.1
